# Lightweightform/bootstrap-theme

[![npm version](https://img.shields.io/npm/v/@lightweightform/bootstrap-theme.svg)](https://www.npmjs.com/package/@lightweightform/bootstrap-theme)
[![License: Apache-2.0](https://img.shields.io/badge/License-Apache--2.0-yellowgreen.svg)](../../LICENSE)

This package provides a Lightweightform theme which delivers all the
functionality of Lightweightform as an Angular-based open source web framework
that simplifies the development of complex web forms.

This theme is built on top of
[`@lightweightform/core`](https://www.npmjs.com/package/@lightweightform/core),
using [Bootstrap](https://getbootstrap.com/) (v4) for the style-guide and
[Font Awesome](https://fontawesome.com/v4.7.0/) for icons.

Other Lightweightform themes are advised to use this theme as their
implementation reference.

## Goals of Lightweightform's Bootstrap theme

- Configurability: styles may be easily overriden by changing the value of all
  SCSS variables (both those provided by the theme itself and all that are
  exposed by Bootstrap).
- Responsive by default (desktop, tablet, mobile).

## Documentation

All documentation is available at: https://lightweightform.io/documentation/.

## Getting started

Take a look at our [tutorial](https://lightweightform.io/getting-started/) as
well as a [few examples](https://lightweightform.io/examples/) built using
Lightweightform. The source code for a few examples may be found
[here](../../examples).

## Installation

This package is available as `@lightweightform/bootstrap-theme` on
[npm](https://www.npmjs.com/package/@lightweightform/bootstrap-theme) and can be
installed with:

```bash
npm i @lightweightform/bootstrap-theme
```

## Browser support

- **Internet Explorer**: 11
- **Other browsers**: Latest 2 versions

## Contributing

Contributions are always welcome. Please read our
[contributing guide](../../CONTRIBUTING.md) on how to contribute.

## License

Lightweightform/bootstrap-theme is released under the
[Apache License 2.0](../../LICENSE).
